Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.syncpeer
Class PushButtonPeer

    java.lang.Object
      echopointng.ui.syncpeer.AbstractEchoPointPeer
          echopointng.ui.syncpeer.ButtonExPeer
              echopointng.ui.syncpeer.PushButtonPeer

All Implemented Interfaces:
  ActionProcessor, ComponentSynchronizePeer, DomUpdateSupport

    public class PushButtonPeer

extends ButtonExPeer

`ButtonExPeer` is a peer for `PushButton`

Field Summary

Fields inherited from class echopointng.ui.syncpeer.ButtonExPeer
`BUTTON_SERVICE`

Fields inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`DEFAULT_CONTAINER_TAG, partialUpdateManager`

Fields inherited from interface nextapp.echo2.webcontainer.ActionProcessor
`ACTION_NAME, ACTION_VALUE`

Constructor Summary
`PushButtonPeer()`

Method Summary
`java.lang.String` | `getContainerId(Component child)` Returns an identifier in the form "parentId_contains_childId".
`protected org.w3c.dom.Element` | `getTopLevelButtonElement(RenderingContext rc, ButtonEx button, Style fallbackStyle)` We use the BUTTON tag instead of DIV
`void` | `renderDispose(RenderContext rc, ServerComponentUpdate update, Component component)` Removes any render state that is associated with the component.
`protected void` | `renderEventSupport(RenderingContext rc, ButtonEx button, boolean addRolloverListener)` Our event support is a little different to the base ButtonEx code

Methods inherited from class echopointng.ui.syncpeer.ButtonExPeer
`convertIconTextPositionToOrientation, processAction, renderButtonContent, renderCellIcon, renderCellText, renderHtml, renderRolloverStyleSupport, renderTopLevelStyleSupport, renderUpdate`

Methods inherited from class echopointng.ui.syncpeer.AbstractEchoPointPeer
`disposeRenderState, renderAdd, renderHtml, renderReplaceableChild, renderUpdateAddChildren, renderUpdateBaseImpl, renderUpdateRemoveChildren, retreiveRenderState, storeRenderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushButtonPeer

    public PushButtonPeer()

Method Detail

### getContainerId

    public java.lang.String getContainerId(Component child)

  Description copied from class: `AbstractEchoPointPeer`
  Returns an identifier in the form "parentId_contains_childId".

  Specified by:
    `getContainerId` in interface `ComponentSynchronizePeer`
  Overrides:
    `getContainerId` in class `ButtonExPeer`
  Parameters:
    `child` - a `Component` whose parent is of the type synchronized by this peer object.
  Returns:
    the id of the element which should contain the child component's rendered HTML.
  See Also:
    `nextapp.echo2.webcontainer.SynchronizePeer#getContainerId(nextapp.echo2.app.Component)`

### renderDispose

    public void renderDispose(RenderContext rc,
                              ServerComponentUpdate update,
                              Component component)

  Description copied from class: `AbstractEchoPointPeer`
  Removes any render state that is associated with the component.

  Remember to call `super.renderDispose()` if you overrride this method.

  Specified by:
    `renderDispose` in interface `ComponentSynchronizePeer`
  Overrides:
    `renderDispose` in class `ButtonExPeer`
  Parameters:
    `rc` - the relevant `RenderContext`
    `update` - the `ServerComponentUpdate` for which this operation is being performed
  See Also:
    `nextapp.echo2.webcontainer.SynchronizePeer#renderDispose(nextapp.echo2.webcontainer.RenderContext, nextapp.echo2.app.update.ServerComponentUpdate, nextapp.echo2.app.Component)`

### getTopLevelButtonElement

    protected org.w3c.dom.Element getTopLevelButtonElement(RenderingContext rc,
                                                           ButtonEx button,
                                                           Style fallbackStyle)

  We use the BUTTON tag instead of DIV

  Overrides:
    `getTopLevelButtonElement` in class `ButtonExPeer`
  See Also:
    `echopointng.ui.syncpeer.ButtonExPeer#getTopLevelButtonElement(echopointng.ui.util.RenderingContext, echopointng.ButtonEx)`

### renderEventSupport

    protected void renderEventSupport(RenderingContext rc,
                                      ButtonEx button,
                                      boolean addRolloverListener)

  Our event support is a little different to the base ButtonEx code

  Overrides:
    `renderEventSupport` in class `ButtonExPeer`
  Parameters:
    `rc` - - the RenderingContext in place
    `button` - - the current button
    `addRolloverListener` - - the result of the renderRolloverStyleSupport() method call
  See Also:
    `ButtonExPeer.renderEventSupport(RenderingContext, ButtonEx, boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD